Castorama Search
Castorama product search by keyword or listing URL: EAN, price, rating and pagination (1 credit).
Credit cost: 1 credit per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
Keyword, or a Castorama listing URL (/search or a .cat category).
Examples:
joint-siliconehttps://www.castorama.fr/search?term=joint-siliconehttps://www.castorama.fr/outillage/outillage-electroportatif/perceuse-visseuse-perceuse-a-percussion-et-tournevis-sans-fil/cat_id_3796.catA product URL (_CAFR.prd) returns 400. page starts at 1 and is sent as ?page=.
page?number
Page from 1. Sent as ?page= on the listing.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/castorama/search?query=string"{ "results": [ { "ean": "5410091628840", "url": "https://www.castorama.fr/mastic-bain-et-cuisine-rubson-blanc-280ml/5410091628840_CAFR.prd", "name": "Mastic bain et cuisine Rubson blanc 280ml", "image": "https://media.castorama.fr/is/image/Castorama/mastic-bain-et-cuisine-rubson-blanc-280ml~5410091628840_30c_FR_CF", "price": 10.9, "rating": 4.5, "currency": "EUR", "position": 1, "was_price": null, "unit_price": 38.93, "review_count": 55, "price_display": "10,90 €", "was_price_display": null, "unit_price_display": "38,93 € / L" } ], "pagination": { "next": "https://www.castorama.fr/search?term=joint-silicone&page=2", "page": 1, "per_page": 48, "total_pages": 189, "total_results": 9050 }}{ "error": "Bad Request"}{ "error": "Invalid API Key"}{ "error": "Payment required"}{ "error": "Rate limit exceeded for the API key: quota monthly"}{ "error": "Internal Error"}